Index: core/kernel/db/cat_dbitem.php
===================================================================
--- core/kernel/db/cat_dbitem.php	(revision 13134)
+++ core/kernel/db/cat_dbitem.php	(working copy)
@@ -92,9 +92,19 @@
 		return $ret;
 	}
 
+	/**
+	 * Assigns primary category for the item
+	 *
+	 * @access public
+	 */
 	function assignPrimaryCategory()
 	{
 		$primary_category = $this->GetDBField('CategoryId') > 0 ? $this->GetDBField('CategoryId') : $this->Application->GetVar('m_cat_id');
+		
+		// set primary category in item object
+		if (!$this->GetDBField('CategoryId') && $primary_category) {
+			$this->SetDBField('CategoryId', $primary_category);
+		}
 		$this->assignToCategory($primary_category, true);
 	}
 
